﻿@page
@using ProyectoLenguajes.Utility
@model RegisterModel
@{
    ViewData["Title"] = "Register";
}

<h1>@ViewData["Title"]</h1>

<div class="row">
    @if (User.IsInRole(RoleName.Role_Admin))
    {
        <div class="col-md-4">
            <form asp-route-returnUrl="@Model.ReturnUrl" method="post">
                <h4>Create a new account.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="Input.Email"></label>
                    <input asp-for="Input.Email" class="form-control" />
                    <span asp-validation-for="Input.Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Input.Name"></label>
                    <input asp-for="Input.Name" class="form-control" />
                    <span asp-validation-for="Input.Name" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Input.State"></label>
                    <input asp-for="Input.State" class="form-control" />
                    <span asp-validation-for="Input.State" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Input.City"></label>
                    <input asp-for="Input.City" class="form-control" />
                    <span asp-validation-for="Input.City" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Input.StreetAdress"></label>
                    <input asp-for="Input.StreetAdress" class="form-control" />
                    <span asp-validation-for="Input.StreetAdress" class="text-danger"></span>
                </div>

                <div class="form-group">
                    <label asp-for="Input.Role"></label>
                    @Html.DropDownListFor(m => m.Input.Role,
                       Model.Input.RoleList,
                       "- Select a Role",
                       new { @class = "form-control" })
                </div>

                <div class="form-group">
                    <label asp-for="Input.Password"></label>
                    <input asp-for="Input.Password" class="form-control" />
                    <span asp-validation-for="Input.Password" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Input.ConfirmPassword"></label>
                    <input asp-for="Input.ConfirmPassword" class="form-control" />
                    <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
                </div>
                <button type="submit" class="btn btn-primary">Register</button>
            </form>
        </div>
    }
    else
    {
        <div class="text-danger">
            <h3>You must be an ADMINISTRATOR to access this page</h3>
        </div>
    }

</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
